List the Artifacts in a Snapshot

Gets a list of all artifacts of a specified category within a snapshot.

Required Roles

Service Administrator

REST Resource

POST /interop/rest/v2/migration/snapshots/artifacts/list/

Request

Supported Media Types: application/json

Parameter Description Required Type
snapshotName The name of the snapshot. Yes Payload
categoryName Name of the category from which artifacts are to be listed. Yes Payload

Example Payload:


{
    "snapshotName":"Artifact Snapshot",
    "categoryName":"DOCREP-Document Repository"
}

Response

Name Description
parentName Name of the parent category. An empty string indicates the root category.
displayName The category name as displayed on the Migration screen.
Name The category name that is used within the module or component. This may not be identical to the display name.
id The unique identifier of the artifact.
type The artifact type.
modifiedDate Last modified date in a human-readable format. This value can be empty if there is no data available from when it was last modified.
modifiedBy Username of the person or the system component that last modified the artifact.
path Artifact path in the hierarchy
children List of contained artifacts or folders; enables folder/file nesting recursively

Successful response body example:


{
    "status": 0,
    "items": [
        {
            "parentName": "",
            "displayName": "Global Setup Artifacts",
            "name": "Global Setup Artifacts",
            "id": "",
            "type": "Folder",
            "modifiedDate": "",
            "modifiedBy": "",
            "path": "/",
            "children": [
                {
                    "parentName": "Global Setup Artifacts",
                    "displayName": "Query Definition",
                    "name": "Query Definition",
                    "id": "Query Definition",
                    "type": "FDMEE Query Definition",
                    "modifiedDate": "",
                    "modifiedBy": "testuser@oracle.com",
                    "path": "/Global Setup Artifacts",
                    "children": []
                },
{
                    "parentName": "Cross Application Data",
                    "displayName": "Business Rule Assignments",
                    "name": "Business Rule Assignments",
                    "id": "Business Rule Assignments",
                    "type": "FDMEE Business Rule Assignments",
                    "modifiedDate": "",
                    "modifiedBy": "testuser@oracle.com",
                    "path": "/Cross Application Data",
                    "children": []
                }
            ]
        }
    ],
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/snapshots/artifacts/list/",
            "action": "POST",
            "rel": "self"
        }
    ]

Response for failed operation:


{
    "status": 8,
    "details": "Artifact Snapshot123 snapshot or the sub-folder does not exists.",
    "items": null,
    "links": [
        {
            "href": "http://<BASE-URL>/interop/rest/v2/migration/snapshots/artifacts/list/",
            "action": "POST",
            "rel": "self"
        }
    ]
}